% Script file CompareJacobiGS.m
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clc; clear all; close all;

maxit = 100;
toler = 1e-3;

% A1 
%A = [3  0 4; 7  4 2; -1 1 2];
%A = [3  0 4; 7  4 2; 1 1 2];


% A2 
%A = [-3 3 -6; -4 7 -8; 5 7 -9];

% A3    
%A = [4 1 1; 2 -9 0; 0 -8 -6];     

% A4 
A = [7 6 9; 4 5 -4; -7 -3 8];


x_ex = [1 0 0]';

RHS = A*x_ex;     
     
[U_Jacobi,iter,res]=Jacobi(A,RHS,maxit,toler);

disp(['iterations for Jacobi: ',num2str(iter)]);

[U_GS,iter,res]=GaussSeidel(A,RHS,maxit,toler);

disp(['iterations for Gauss Seidel: ',num2str(iter)]);


